CREATE TABLE comp_group (
	comp_id int(11) DEFAULT '0' NOT NULL,
	group_id int(11) DEFAULT '0' NOT NULL,
	KEY lab_id (group_id));

INSERT INTO comp_group VALUES (1,1);
	
CREATE TABLE computers ( ID int(11) DEFAULT '0' NOT NULL auto_increment, name varchar(200), type varchar(100), flags_server tinyint(4) DEFAULT '0' NOT NULL, os varchar(100), osver varchar(20), processor varchar(30), processor_speed varchar(30), location varchar(200) DEFAULT '' NOT NULL, serial varchar(200) DEFAULT '' NOT NULL, otherserial varchar(200) DEFAULT '' NOT NULL, ramtype varchar(200) DEFAULT '' NOT NULL, ram varchar(6) DEFAULT '' NOT NULL, network varchar(200) DEFAULT '' NOT NULL, ip varchar(20), mac varchar(30), hdspace varchar(6), contact varchar(90), contact_num varchar(90), comments text NOT NULL, date_mod datetime, PRIMARY KEY (ID), KEY location (location), KEY flags (flags_server));

INSERT INTO computers VALUES (1,'Ants','iMac DV',0,'Mac OS','9.0.4','PowerPC G3','400','Library Back Room','','','SDRAM DIMMs (<10ns)','192','Generic 100Mbps Card','DHCP','00 50 E4','13','','','','2000-05-03 17:50:08');
	
CREATE TABLE dropdown_iface ( name char(30));
	
INSERT INTO dropdown_iface VALUES ('10Mbps Ethernet (UTP)');
INSERT INTO dropdown_iface VALUES ('100Mbps Ethernet (UTP)');
INSERT INTO dropdown_iface VALUES ('100Base FL');
INSERT INTO dropdown_iface VALUES ('100Mbps FDDI');
INSERT INTO dropdown_iface VALUES ('Frame Relay');
INSERT INTO dropdown_iface VALUES ('ISDN');
INSERT INTO dropdown_iface VALUES ('T1/E1 +');
INSERT INTO dropdown_iface VALUES ('Serial Link');
	
CREATE TABLE dropdown_locations (name char(200));
		
INSERT INTO dropdown_locations VALUES ('Library Back Room');
INSERT INTO dropdown_locations VALUES ('Room 34');
INSERT INTO dropdown_locations VALUES ('MAOS Lab');
INSERT INTO dropdown_locations VALUES ('Office');
		
		
CREATE TABLE dropdown_network ( name char(200));
		
INSERT INTO dropdown_network VALUES ('3Com (100Mbps)');
INSERT INTO dropdown_network VALUES ('3Com (10Mbps)');
INSERT INTO dropdown_network VALUES ('Intel (100Mbps)');
INSERT INTO dropdown_network VALUES ('Intel (10Mbps)');
INSERT INTO dropdown_network VALUES ('Generic 100Mbps Card');
INSERT INTO dropdown_network VALUES ('Generic 10Mbps Card');
INSERT INTO dropdown_network VALUES ('None');
INSERT INTO dropdown_network VALUES ('AMD 10Mbps');
INSERT INTO dropdown_network VALUES ('Realtek 10Mbps');
INSERT INTO dropdown_network VALUES ('Realtek 100Mbps');
		
CREATE TABLE dropdown_os (name char(100));
INSERT INTO dropdown_os VALUES ('Linux (Debian)');
INSERT INTO dropdown_os VALUES ('Linux (RedHat)');
INSERT INTO dropdown_os VALUES ('Linux (Caldera)');
INSERT INTO dropdown_os VALUES ('DOS');
INSERT INTO dropdown_os VALUES ('FreeBSD');
INSERT INTO dropdown_os VALUES ('Linux (Other)');
INSERT INTO dropdown_os VALUES ('Windows');
INSERT INTO dropdown_os VALUES ('Other');
INSERT INTO dropdown_os VALUES ('Mac OS');
INSERT INTO dropdown_os VALUES ('IRIX');
INSERT INTO dropdown_os VALUES ('Solaris');
INSERT INTO dropdown_os VALUES ('Max OS X');
		
CREATE TABLE dropdown_processor ( name varchar(30));
INSERT INTO dropdown_processor VALUES ('Intel Pentium');
INSERT INTO dropdown_processor VALUES ('Intel Pentium II');
INSERT INTO dropdown_processor VALUES ('AMD K6-1');
INSERT INTO dropdown_processor VALUES ('AMD K6-2');
INSERT INTO dropdown_processor VALUES ('AMD K6-3');
INSERT INTO dropdown_processor VALUES ('PowerPC G3');
INSERT INTO dropdown_processor VALUES ('Intel Pentium III');
INSERT INTO dropdown_processor VALUES ('AMD Athlon');
INSERT INTO dropdown_processor VALUES ('68k (Motorola)');
INSERT INTO dropdown_processor VALUES ('486 SX');
INSERT INTO dropdown_processor VALUES ('486 DX');
INSERT INTO dropdown_processor VALUES ('486 DX2/4');
INSERT INTO dropdown_processor VALUES ('Intel Itanium');
INSERT INTO dropdown_processor VALUES ('PowerPC G4');
INSERT INTO dropdown_processor VALUES ('RS3000');
INSERT INTO dropdown_processor VALUES ('RS10k');
INSERT INTO dropdown_processor VALUES ('Alpha EV6.7');
INSERT INTO dropdown_processor VALUES ('PowerPC 603ev');
INSERT INTO dropdown_processor VALUES ('PowerPC 603');
INSERT INTO dropdown_processor VALUES ('PowerPC 601');
INSERT INTO dropdown_processor VALUES ('68040');
INSERT INTO dropdown_processor VALUES ('68040');
		
CREATE TABLE dropdown_ram ( name char(200));
INSERT INTO dropdown_ram VALUES ('36pin SIMMS');
INSERT INTO dropdown_ram VALUES ('72pin SIMMS (Fast Page)');
INSERT INTO dropdown_ram VALUES ('72pin SIMMS (EDO)');
INSERT INTO dropdown_ram VALUES ('Unbuffered DIMMs');
INSERT INTO dropdown_ram VALUES ('DIMMs w/EEPROM');
INSERT INTO dropdown_ram VALUES ('SDRAM DIMMs (<10ns)');
INSERT INTO dropdown_ram VALUES ('ECC DIMMs');
INSERT INTO dropdown_ram VALUES ('Other');
INSERT INTO dropdown_ram VALUES ('iMac DIMMS');
		
CREATE TABLE dropdown_type ( name char(200));
INSERT INTO dropdown_type VALUES ('Generic PC');
INSERT INTO dropdown_type VALUES ('Macintosh PPC (other)');
INSERT INTO dropdown_type VALUES ('Macintosh 68K (68030)');
INSERT INTO dropdown_type VALUES ('Macintosh 68K (68040)');
INSERT INTO dropdown_type VALUES ('Other');
INSERT INTO dropdown_type VALUES ('IBM RS/6000');
INSERT INTO dropdown_type VALUES ('Indy');
INSERT INTO dropdown_type VALUES ('Octane');
INSERT INTO dropdown_type VALUES ('O2');
INSERT INTO dropdown_type VALUES ('Onyx 2');
INSERT INTO dropdown_type VALUES ('iMac');
INSERT INTO dropdown_type VALUES ('iMac DV');
INSERT INTO dropdown_type VALUES ('Blue and White G3');
INSERT INTO dropdown_type VALUES ('G4');
INSERT INTO dropdown_type VALUES ('Homebrew');
INSERT INTO dropdown_type VALUES ('Cisco Catalyst 2900 XL');
INSERT INTO dropdown_type VALUES ('Cisco 2600');
INSERT INTO dropdown_type VALUES ('3Com AccessBuilder');
INSERT INTO dropdown_type VALUES ('3Com LinkBuilder Hub');
INSERT INTO dropdown_type VALUES ('Cisco 400-series Fast Hub');
		
CREATE TABLE event_log (ID int(11) DEFAULT '0' NOT NULL auto_increment, item int(11) DEFAULT '0' NOT NULL, itemtype varchar(10) DEFAULT '' NOT NULL, date datetime DEFAULT '0000-00-00 00:00:00' NOT NULL, service varchar(20), level tinyint(4) DEFAULT '0' NOT NULL, message text NOT NULL, PRIMARY KEY (ID), KEY comp (item), KEY date (date));
		
		#
		# Table structure for table 'followups'
		#
CREATE TABLE followups ( ID int(11) DEFAULT '0' NOT NULL auto_increment, tracking int(11), date datetime, author varchar(200), contents text, PRIMARY KEY (ID));
		
		#
		# Table structure for table 'groups'
		#
CREATE TABLE groups ( ID int(11) DEFAULT '0' NOT NULL auto_increment, name varchar(200) DEFAULT '' NOT NULL, PRIMARY KEY (ID), KEY ID (ID), UNIQUE ID_2 (ID));
INSERT INTO groups VALUES (1,'test');
		
		#
		# Table structure for table 'inst_software'
		#
CREATE TABLE inst_software ( ID int(11) DEFAULT '0' NOT NULL auto_increment, cID int(11) DEFAULT '0' NOT NULL, sID int(11) DEFAULT '0' NOT NULL, lID int(11) NOT NULL default '0', gID int(11), PRIMARY KEY (ID), KEY cID (cID), KEY sID (sID), KEY lID (lID));
		
		#
		# Table structure for table 'networking'
		#
CREATE TABLE networking ( ID int(11) DEFAULT '0' NOT NULL auto_increment, name varchar(30) DEFAULT '' NOT NULL, type varchar(30) DEFAULT '' NOT NULL, ram varchar(10), ip varchar(20) DEFAULT '' NOT NULL, mac varchar(30), location varchar(40) DEFAULT '' NOT NULL, serial varchar(50), otherserial varchar(50), contact varchar(30) DEFAULT '' NOT NULL, contact_num varchar(30) DEFAULT '' NOT NULL, datemod datetime DEFAULT '0000-00-00 00:00:00' NOT NULL, comments text NOT NULL, PRIMARY KEY (ID));
		
		#
		# Table structure for table 'networking_ports'
		#
CREATE TABLE networking_ports ( ID int(11) DEFAULT '0' NOT NULL auto_increment, device_on int(11) DEFAULT '0' NOT NULL, device_type tinyint(4) DEFAULT '0' NOT NULL, iface char(40) DEFAULT '' NOT NULL, ifaddr char(30) DEFAULT '' NOT NULL, ifmac char(30) DEFAULT '0' NOT NULL, logical_number int(11) DEFAULT '0' NOT NULL, name char(30) DEFAULT '' NOT NULL, PRIMARY KEY (ID));
		
		#
		# Dumping data for table 'networking_ports'
		#
		
INSERT INTO networking_ports VALUES (1,1,1,'100Mbps Ethernet (UTP)','DHCP','00 50 E4',1,'Port 1');
		
		#
		# Table structure for table 'networking_wire'
		#
		
CREATE TABLE networking_wire ( ID int(11) DEFAULT '0' NOT NULL auto_increment, end1 int(11) DEFAULT '0' NOT NULL, end2 int(11) DEFAULT '0' NOT NULL, PRIMARY KEY (ID));
		
		#
		# Table structure for table 'prefs'
		#
CREATE TABLE prefs ( user varchar(80) DEFAULT '' NOT NULL, type enum('no','yes') DEFAULT 'no' NOT NULL, os enum('no','yes') DEFAULT 'no' NOT NULL, osver enum('no','yes') DEFAULT 'no' NOT NULL, processor enum('no','yes') DEFAULT 'no' NOT NULL, processor_speed enum('no','yes') DEFAULT 'no' NOT NULL, location enum('no','yes') DEFAULT 'no' NOT NULL, serial enum('no','yes') DEFAULT 'no' NOT NULL, otherserial enum('no','yes') DEFAULT 'no' NOT NULL, ramtype enum('no','yes') DEFAULT 'no' NOT NULL, ram enum('no','yes') DEFAULT 'no' NOT NULL, network enum('no','yes') DEFAULT 'no' NOT NULL, ip enum('no','yes') DEFAULT 'no' NOT NULL, mac enum('no','yes') DEFAULT 'no' NOT NULL, hdspace enum('no','yes') DEFAULT 'no' NOT NULL, contact enum('no','yes') DEFAULT 'no' NOT NULL, contact_num enum('no','yes') DEFAULT 'no' NOT NULL, comments enum('no','yes') DEFAULT 'no' NOT NULL, date_mod enum('no','yes') DEFAULT 'no' NOT NULL, advanced_tracking enum('no','yes') DEFAULT 'no' NOT NULL, tracking_order enum('no','yes') DEFAULT 'no' NOT NULL, PRIMARY KEY (user));
		
		#
		# Dumping data for table 'prefs'
		#
		
INSERT INTO prefs VALUES ('Admin','yes','','','','','','','','','','','','','','','','','','yes','');
		
		#
		# Table structure for table 'software'
		#
CREATE TABLE software (ID int(11) DEFAULT '0' NOT NULL auto_increment, name varchar(200), platform varchar(200), class enum('Operating System', 'Application', 'CAL', 'Application Bundle') default 'Application', comments text, PRIMARY KEY (ID));
		
		#
		# Dumping data for table 'software'
		#
		
INSERT INTO software VALUES (1,'Test Software','FreeBSD','Application', 'This one is in the Back Room');
INSERT INTO software VALUES (2,'Windows 95','Mac OS','Operating System', 'This one is in the Back Room');
INSERT INTO software VALUES (3,'BlackWidowExplorer','DOS', 'Application', 'Comment Here');
		
		#
		# Table structure for table 'templ_inst_software'
		#
CREATE TABLE templ_inst_software ( ID int(11) DEFAULT '0' NOT NULL auto_increment, cID int(11) DEFAULT '0' NOT NULL, sID int(11) DEFAULT '0' NOT NULL, PRIMARY KEY (ID), KEY cID (cID), KEY sID (sID));
		
		#
		# Dumping data for table 'templ_inst_software'
		#
		
INSERT INTO templ_inst_software VALUES (1,2,3);
INSERT INTO templ_inst_software VALUES (2,2,2);
		
		#
		# Table structure for table 'templates'
		#
CREATE TABLE templates ( ID int(11) DEFAULT '0' NOT NULL auto_increment, templname varchar(200), name varchar(200), type varchar(200), flags_server tinyint(4) DEFAULT '0' NOT NULL, os varchar(200), osver varchar(20), processor varchar(200), processor_speed varchar(100), location varchar(200), serial varchar(200), otherserial varchar(200), ramtype varchar(200), ram varchar(20), network varchar(200), ip varchar(20), mac varchar(40), hdspace varchar(10), contact varchar(200), contact_num varchar(200), comments text, iface varchar(100), PRIMARY KEY (ID));
	
		#
		# Dumping data for table 'templates'
		#
		
INSERT INTO templates VALUES (1,'Blank Template','','Generic PC',0,'Windows','','Intel Pentium','','Library Back Room','','','72pin SIMMS (EDO)','','Generic 10Mbps Card','','','','','','',NULL);
INSERT INTO templates VALUES (2,'Mac G3 All-in-One','','Macintosh PPC (other)',1,'Mac OS','8.1','486 DX','266','MAOS Lab','','','SDRAM DIMMs (<10ns)','96','Generic 100Mbps Card','205.155.38','','3','','','','100Mbps Ethernet (UTP)');
INSERT INTO templates VALUES (3,'iMac','','iMac',0,'Mac OS','8.6','PowerPC G3','333','Library Back Room','','','iMac DIMMS','32','Generic 100Mbps Card','','00 50 E4','6','','','','100Mbps Ethernet (UTP)');
INSERT INTO templates VALUES (4,'iMac DV','','iMac DV',0,'Mac OS','9.0.4','PowerPC G3','400','Library Back Room','','','SDRAM DIMMs (<10ns)','64','Generic 100Mbps Card','','','13','','','','100Mbps Ethernet (UTP)');

		#
		# Table structure for table 'tracking'
		#
CREATE TABLE tracking ( ID int(11) DEFAULT '0' NOT NULL auto_increment, date datetime, closedate datetime, status enum('new','old', 'wait', 'assigned', 'active', 'complete'), author varchar(200), assign varchar(200), computer int(11), contents text, priority tinyint(4) DEFAULT '1' NOT NULL, is_group enum('no','yes') DEFAULT 'no' NOT NULL, uemail varchar(100), emailupdates varchar(4), PRIMARY KEY (ID));

		#
		# Table structure for table 'users'
		#
CREATE TABLE users (name char(255) DEFAULT '' NOT NULL, password char(255), fullname char(200), email char(100), location char(200), phone char(100), type enum('post-only','normal','tech','admin') DEFAULT 'post-only' NOT NULL, comments text, PRIMARY KEY(name), KEY (type));
		
		#
		# Dumping data for table 'users'
		#

INSERT INTO users VALUES ('Admin',md5('admin'),'Administrator Guy','root@localhost','Admin Place (in front of the computer)','Use e-mail','admin','');
INSERT INTO users VALUES ('Guest',md5('guest'),'Guest User','','','','post-only','');
INSERT INTO users VALUES ('Normal',md5('normal'),'Normal User','user@localhost','','','normal','');
INSERT INTO users VALUES ('Tech',md5('tech'),'Technician User','tech@localhost','','','tech','');
INSERT INTO users VALUES ('IRMConnect',md5('irmconnect'),'Special account','','','','post-only','');
		#
		# Table structure for table 'config'
		#
CREATE TABLE config ( ID int(11) NOT NULL default '0', notifyassignedbyemail tinyint(4) NOT NULL default '1', notifynewtrackingbyemail tinyint(4) NOT NULL default '0', newtrackingemail char(200) NOT NULL default 'user@host.com', groups tinyint(4) NOT NULL default '1', usenamesearch tinyint(4) NOT NULL default '1', userupdates tinyint(4) NOT NULL default '1', sendexpire tinyint(4) NOT NULL default '0', showjobsonlogin tinyint(4) NOT NULL default '1', minloglevel tinyint(4) NOT NULL default '5', logo char(50) NOT NULL default 'irm-jr1.jpg', snmp tinyint(4) NOT NULL default '0', snmp_rcommunity char(50) NOT NULL default 'public', snmp_ping tinyint(4) NOT NULL default '0', version char(50) NOT NULL default '1.3.2', build char(50) NOT NULL default '2001041201', knowledgebase tinyint(4) NOT NULL default '1', fasttrack tinyint(4) NOT NULL default '1', anonymous tinyint(4) NOT NULL default '0', anon_faq tinyint(4) NOT NULL default '0', anon_tt tinyint(4) NOT NULL default '0', PRIMARY KEY  (ID), UNIQUE KEY ID_2 (ID), KEY ID (ID));
INSERT INTO config (ID, notifyassignedbyemail, notifynewtrackingbyemail, newtrackingemail, groups, usenamesearch, userupdates, sendexpire, showjobsonlogin, minloglevel, logo, snmp, snmp_rcommunity, snmp_ping, version, build, knowledgebase, fasttrack, anonymous, anon_faq, anon_tt) VALUES ('0', '1', '0', 'user@host.com', '1', '1', '1', '0', '1', '5', 'irm-jr1.jpg', '0', 'public', '0', '1.4.1', '2003070701', '1','1', '0', '0', '0');

	#
	# Table structure for table 'software_bundles'
	#
CREATE TABLE software_bundles (bID int(11) unsigned DEFAULT '0' NOT NULL, sID int(11) unsigned DEFAULT '0' NOT NULL, KEY sID (sID), KEY bID (bID), PRIMARY KEY (sID,bID));

	#
	# Table structure for table 'software_licenses'
	#
CREATE TABLE software_licenses ( sID int(11) NOT NULL, licensekey varchar(200), entitlement int(11) DEFAULT '0' NOT NULL, ID int(11) NOT NULL auto_increment, oem_sticker enum ('Yes', 'No') DEFAULT 'No' NOT NULL, PRIMARY KEY (ID), KEY sID (sID), KEY ID (ID));


	#
	# Table structure for table 'kbarticles'
	#
CREATE TABLE kbarticles (ID int(11) NOT NULL auto_increment, categoryID int(11) NOT NULL default '0', question text NOT NULL, answer text NOT NULL, faq enum('yes','no') NOT NULL default 'no', PRIMARY KEY (ID), KEY ID (ID));

	#
	# Table structure for table 'kbcategories'
	#
CREATE TABLE kbcategories (ID int(11) NOT NULL auto_increment, parentID int(11) NOT NULL default '0', name text NOT NULL, PRIMARY KEY (ID), KEY ID (ID));
INSERT INTO kbcategories VALUES (1, 0, 'IRM');
INSERT INTO kbcategories VALUES (2, 1, 'Computers');
INSERT INTO kbcategories VALUES (3, 1, 'Networking');
INSERT INTO kbcategories VALUES (4, 1, 'Software');
INSERT INTO kbcategories VALUES (5, 1, 'Tracking');
INSERT INTO kbcategories VALUES (6, 1, 'Reports');
INSERT INTO kbcategories VALUES (7, 1, 'Request Help');
INSERT INTO kbcategories VALUES (8, 1, 'Setup');
INSERT INTO kbcategories VALUES (9, 1, 'Preferences');
INSERT INTO kbcategories VALUES (10, 1, 'Knowledge Base');
INSERT INTO kbcategories VALUES (11, 1, 'FAQ');
INSERT INTO kbcategories VALUES (12, 1, 'Logout');
	
CREATE TABLE fasttracktemplates (ID INT NOT NULL auto_increment, name char(100), priority int(11), request text, response text, PRIMARY KEY (ID));
INSERT INTO fasttracktemplates VALUES (1, 'Default',3, '', '');
INSERT INTO fasttracktemplates VALUES (2, 'Reset Password',3, 'User forgot password', 'Reset password on the system');
INSERT INTO fasttracktemplates VALUES (3, 'Floppy Disk in Drive',3, 'Computer will not boot, it says something about NTLDR not found', 'There was a floppy disk in the drive, once user removed it and rebooted system it started up just fine.');
