ALTER TABLE tracking
	CHANGE status status
		ENUM ('new', 'old', 'wait', 'assigned', 'active', 'complete');
CREATE TABLE config (
	ID int(11) NOT NULL default '0',
	notifyassignedbyemail tinyint(4) NOT NULL default '1',
	notifynewtrackingbyemail tinyint(4) NOT NULL default '0',
	newtrackingemail char(200) NOT NULL default 'user@host.com',
	groups tinyint(4) NOT NULL default '1',
	usenamesearch tinyint(4) NOT NULL default '1',
	userupdates tinyint(4) NOT NULL default '1',
	sendexpire tinyint(4) NOT NULL default '0',
	showjobsonlogin tinyint(4) NOT NULL default '1',
	minloglevel tinyint(4) NOT NULL default '5',
	logo char(50) NOT NULL default 'irm-jr1.jpg',
	snmp tinyint(4) NOT NULL default '0',
	snmp_rcommunity char(50) NOT NULL default 'public',
	snmp_ping tinyint(4) NOT NULL default '0',
	version char(50) NOT NULL default '1.3.2',
	build char(50) NOT NULL default '2001041201',
	PRIMARY KEY (ID),
	UNIQUE KEY ID_2 (ID),
	KEY ID (ID)
);
ALTER table inst_software ADD lID int default '0' not null;
ALTER table inst_software ADD index(lID);
ALTER table inst_software ADD gID int(11);
ALTER table software drop version;
ALTER table software drop serial;
ALTER table software drop otherserial;
ALTER table software drop location;
ALTER table software drop license;
ALTER table software add class enum('Operating System', 'Application', 'CAL', 'Application Bundle') default 'Application' after platform;

CREATE TABLE software_bundles (
	bID int(11) unsigned DEFAULT '0' NOT NULL,
	sID int(11) unsigned DEFAULT '0' NOT NULL,
	KEY sID_ndx (sID), KEY bID_ndx (bID), PRIMARY KEY (sID,bID));

CREATE TABLE software_licenses (
	sID int(11) NOT NULL,
	licensekey varchar(200),
	entitlement int(11) DEFAULT '0' NOT NULL,
	ID int(11) NOT NULL auto_increment,
	oem_sticker enum ('Yes', 'No') DEFAULT 'No' NOT NULL,
	PRIMARY KEY (ID),
	KEY sID_ndx (sID),
	KEY ID_ndx (ID));

INSERT INTO config
		(ID, notifyassignedbyemail, notifynewtrackingbyemail,
		newtrackingemail, groups, usenamesearch, userupdates,
		sendexpire, showjobsonlogin, minloglevel, logo, snmp,
		snmp_rcommunity, snmp_ping, version, build)
	VALUES ('0', '1', '0', 'user@host.com', '1', '1', '1', '0', '1', '5',
		'irm-jr1.jpg', '0', 'public', '0', '1.3.2', '2001041201');

ALTER TABLE config ADD knowledgebase tinyint(4) AFTER build;
REPLACE config set ID=0, version="1.3.3", build="20010516", knowledgebase=1;

CREATE TABLE kbcategories (
	ID int(11) NOT NULL auto_increment,
	parentID int(11) NOT NULL default '0',
	name text NOT NULL,
	PRIMARY KEY (ID),
	KEY ID (ID)
);

CREATE TABLE kbarticles (
	ID int(11) NOT NULL auto_increment,
	categoryID int(11) NOT NULL default '0',
	question text NOT NULL,
	answer text NOT NULL,
	faq enum('yes','no') NOT NULL default 'no',
	PRIMARY KEY (ID),
	KEY ID (ID)
);

INSERT INTO kbcategories VALUES (1, 0, 'IRM');
INSERT INTO kbcategories VALUES (2, 1, 'Computers');
INSERT INTO kbcategories VALUES (3, 1, 'Networking');
INSERT INTO kbcategories VALUES (4, 1, 'Software');
INSERT INTO kbcategories VALUES (5, 1, 'Tracking');
INSERT INTO kbcategories VALUES (6, 1, 'Reports');
INSERT INTO kbcategories VALUES (7, 1, 'Request Help');
INSERT INTO kbcategories VALUES (8, 1, 'Setup');
INSERT INTO kbcategories VALUES (9, 1, 'Preferences');
INSERT INTO kbcategories VALUES (10, 1, 'Knowledge Base');
INSERT INTO kbcategories VALUES (11, 1, 'FAQ');
INSERT INTO kbcategories VALUES (12, 1, 'Logout');
#ALTER TABLE users RENAME usersbak;
ALTER TABLE users MODIFY name char(255) DEFAULT '' NOT NULL;
ALTER TABLE users ADD fullname char(200);
ALTER TABLE users MODIFY type enum('post-only','normal','tech','admin') DEFAULT 'post-only' NOT NULL;
UPDATE users SET password=md5(password);
alter table config add fasttrack int default '1';

CREATE TABLE fasttracktemplates (
	ID INT NOT NULL auto_increment,
	name char(100),
	priority int(11),
	request text,
	response text,
	PRIMARY KEY (ID)
);
INSERT INTO fasttracktemplates VALUES (1, 'Default',3, '', '');
INSERT INTO fasttracktemplates VALUES (2, 'Reset Password',3, 'User forgot password', 'Reset password on the system');
INSERT INTO fasttracktemplates VALUES (3, 'Floppy Disk in Drive',3, 'Computer will not boot, it says something about NTLDR not found', 'There was a floppy disk in the drive, once user removed it and rebooted system it started up just fine.');
REPLACE config set ID=0, version="1.3.4", build="2001071101";
ALTER TABLE config ADD anonymous tinyint(4) AFTER fasttrack;
ALTER TABLE config ADD anon_faq tinyint(4) AFTER anonymous;
ALTER TABLE config ADD anon_tt tinyint(4) AFTER anon_faq;

REPLACE config SET ID=0, version='1.4.1debian', build='2003070701';
